package com.yihu.jw.entity.care.birthday;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 生日祝福语模板
 *
 * @author humingfen
 */

@Entity
@Table(name = "wlyy_birthday_wishes_template")
public class BirthdayWishesTemplate extends IdEntity {

    private String code;//业务主键
    private Integer type;//类型（1系统模板、2服务人员创建）
    private Integer applicableRange;//适用范围（1小孩、2中年、3老年人）
    private String content;//祝福语
    private Integer del;//是否删除（0否、1是）
    private String createUser;//创建人（系统模板值为空）
    private String createUserName;//创建人姓名
    private Date createTime;//创建时间
    private Integer isDefault;//是否为默认模板（1是 0否）

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "applicable_range")
    public Integer getApplicableRange() {
        return applicableRange;
    }

    public void setApplicableRange(Integer applicableRange) {
        this.applicableRange = applicableRange;
    }

    @Column(name = "content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "create_user")
    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Column(name = "create_user_name")
    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }
}
